device_type: x86

job_name: x86_64 health check

timeouts:
  job:
    minutes: 15
  action:
    minutes: 3
  connection:
    minutes: 2

visibility: public
priority: medium

metadata:
  source: https://git.linaro.org/lava/lava-lab.git
  path: shared/health-checks/x86.yaml

actions:
- deploy:
    timeout:
      minutes: 15
    to: tftp
    kernel:
      url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/intel-core2-32/rpb/linux-stable-4.14/4/bzImage--4.14+git0+bebc6082da-r0-intel-core2-32-20171120193339-4.bin
    nfsrootfs:
      url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/intel-core2-32/rpb/linux-stable-4.14/4/rpb-console-image-intel-core2-32-20171120193339-4.rootfs.tar.xz
      compression: xz
    os: oe

- boot:
    timeout:
      minutes: 8
    method: ipxe
    commands: nfs
    parameters:
      shutdown-message: "reboot: Restarting system"
    auto_login:
      login_prompt: 'login:'
      username: root
      login_commands:
        - su
    prompts:
    - 'root@intel-core2-32:'

- test:
    timeout:
      minutes: 2
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests
